{
  lib,
  system,
  hasDestopEnvironment ? true,
  ...
}:
let
  isArm = "aarch64-linux" == system;
in
{
  programs.onlyoffice = {
    enable = lib.mkDefault (!isArm && hasDestopEnvironment);
    settings = {
      UITheme = "theme-contrast-dark";
      forcedRtl = false;
      maximized = true;
    };
  };
}
